glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
Glib::RecMutex Class Reference

`#include <glibmm/thread.h>`

Inheritance diagram for Glib::RecMutex:
[legend]

## Classes
class | Lock
| Utility class for exception-safe locking of recursive mutexes. More...

## Public Member Functions
| RecMutex ()
| ~RecMutex ()
Public Member Functions inherited from Glib::StaticRecMutex
void | lock ()
bool | trylock ()
void | unlock ()
void | lock_full (unsigned int depth)
unsigned int | unlock_full ()
| operator RecMutex& ()
GStaticRecMutex* | gobj ()

## Additional Inherited Members
Related Functions inherited from Glib::StaticRecMutex
#define | GLIBMM_STATIC_REC_MUTEX_INIT { G_STATIC_REC_MUTEX_INIT }
| Initializer macro for Glib::StaticRecMutex.

## Detailed Description

Deprecated:
  Use Glib::Threads::RecMutex instead.

## Constructor & Destructor Documentation

Glib::RecMutex::RecMutex | ( |  | ) |

Glib::RecMutex::~RecMutex | ( |  | ) |